{%- set config = manala_ssh_server_config|default({}, true) -%}

{{ config | manala.roles.ssh_config_parameter('PermitRootLogin', default='without-password') }}
{{ config | manala.roles.ssh_config_parameter('PermitEmptyPasswords', default=false) }}
{{ config | manala.roles.ssh_config_parameter('ChallengeResponseAuthentication', default=false) }}
{{ config | manala.roles.ssh_config_parameter('PasswordAuthentication', default=false) }}
{{ config | manala.roles.ssh_config_parameter('X11Forwarding', default=true) }}
{{ config | manala.roles.ssh_config_parameter('PrintMotd', default=false) }}
{{ config | manala.roles.ssh_config_parameter('Subsystem', default='sftp /usr/lib/openssh/sftp-server') }}
{{ config | manala.roles.ssh_config_parameter('UsePAM', default=true) }}
{{ config | manala.roles.ssh_config_parameter('UseDNS', default=false) }}
{{ config | manala.roles.ssh_config_parameter('ClientAliveInterval', default=30) }}

{{ config | manala.roles.ssh_config(exclude=[
  'PermitRootLogin',
  'PermitEmptyPasswords',
  'ChallengeResponseAuthentication',
  'PasswordAuthentication',
  'X11Forwarding',
  'PrintMotd',
  'Subsystem',
  'UsePAM',
  'UseDNS',
  'ClientAliveInterval'
]) }}
